@media (min-width: 319px) and (max-width: 600px) {
  header {
    .button--low {
      width: 290px;
      left: calc((100vw - 290px) / 2);
      z-index: 999;
    }
    .header__logo--display {
      display: none;
    }
  }

  .button--width--1 {
    justify-self: center;
  }

  .header {
    padding: 1rem 10px;
    background-color: #27262a;
    position: relative;
    align-items: center;
    column-gap: 1rem;
    grid-template-columns: 0.1fr 1fr 0.1fr;
    grid-template-areas: "logo button burger__button";
    justify-items: center;
    #burger__button {
      display: block;
    }
  }

  .header__navbar {
    width: 300px;
    position: absolute;
    top: 100%;
    left: calc((100vw - 300px) / 2);
    z-index: 1000;
    .header__navbar__list {
      gap: 0;
      @include flex-col;
      justify-content: center;
      align-items: center;
      background-color: #333333;
    }
    .header__navbar__list--display {
      display: none;
    }

    li {
      border-bottom: 1px solid grey;
      width: 100%;
    }
    a {
      display: block;
      padding: 1.8rem 0;
      width: 100%;
      font-weight: 400;
      font-size: 1.5rem;
      color: $color-white;
      position: relative;
    }
    a:hover {
      color: #8d81ac;
    }

    a::before {
      content: "";
      height: 50px;
      width: 8px;
      background-color: $color-wiolet;
      position: absolute;
      top: calc((81.59px - 50px) / 2);
      left: 0;
      display: none;
    }
  }

  a:hover::before {
    display: block;
  }

  .header__section {
    padding-top: 0;
    text-align: center;
    h1 {
      font-size: 3rem;
      padding-top: 1rem;
    }
  }

  .main__section__1 {
    h2 {
      font-size: 1.6rem;
    }
    .main__section__1--color {
      line-height: 1.2rem;
      font-size: 0.9rem;
    }
  }

  .main__section__2 {
    background-color: $color-white;
    grid-template-columns: 1fr;
    grid-template-areas:
      "p_name"
      "grid--1"
      "grid--2"
      "grid--3"
      "grid--4"
      "grid--img";
  }

  .main__section__2__item {
    text-align: center;
    display: flex;
    flex-flow: column nowrap;
    row-gap: 1rem;
    justify-content: center;
    align-items: center;
  }
  .main__section__2__item--grid__item--position {
    font-size: 2rem;
  }

  .main__section__3 {
    h2 {
      font-size: 2rem;
    }
    grid-template-columns: 1fr;
    grid-template-rows: 0.1fr repeat(6, 1fr) 0.1fr;
    grid-template-areas:
      "item--1"
      "item--2"
      "item--3"
      "item--4"
      "item--5"
      "item--6"
      "item--7"
      "item--8";
  }

  .main__section__4 {
    h2 {
      padding: 0;
      font-size: 2rem;
    }
    text-align: center;
    padding: 0 10px 2rem 10px;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    justify-items: center;
    grid-template-areas:
      "header"
      "item__1"
      "item__2"
      "item__3"
      "item__4";
  }
}

@media (min-width: 601px) and (max-width: 1199px) {
  header {
    .button--low {
      width: 290px;
      left: calc((100vw - 290px) / 2);
    }
  }
  .header {
    padding: 1rem 10px;
    background-color: #27262a;
    grid-template-columns: 1fr 1fr;
    align-content: space-between;
    grid-template-areas:
      "logo button"
      "nav nav";
    .header__navbar {
      justify-self: center;
      padding-top: 2rem;
    }
    button {
      justify-self: center;
    }
  }

  .header__section {
    padding-top: 1rem;
    text-align: center;
    h1 {
      font-size: 3rem;
    }
  }

  .main__section__1 {
    h2 {
      font-size: 1.6rem;
    }
    .main__section__1--color {
      line-height: 1.2rem;
      font-size: 0.9rem;
    }
  }

  .main__section__2 {
    background-color: $color-white;
    grid-template-columns: 1fr;
    grid-template-areas:
      "p_name"
      "grid--1"
      "grid--2"
      "grid--3"
      "grid--4"
      "grid--img";
  }

  .main__section__2__item {
    text-align: center;
    display: flex;
    flex-flow: column nowrap;
    row-gap: 1rem;
    justify-content: center;
    align-items: center;
  }
  .main__section__2__item--grid__item--position {
    font-size: 2rem;
  }

  .main__section__3 {
    h2 {
      font-size: 2rem;
    }
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 0.1fr repeat(3, 1fr) 0.1fr;
    grid-template-areas:
      "item--1 item--1"
      "item--2 item--3"
      "item--4 item--5"
      "item--6 item--7"
      "item--8 item--8";
  }

  .main__section__4 {
    h2 {
      padding: 0;
      font-size: 2rem;
    }
    text-align: center;
    padding: 0 10px 2rem 10px;
    justify-items: center;
    align-items: center;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
      "header header"
      "item__1 item__2"
      "item__3 item__4";
  }
  .main__section__4__item--1 {
    justify-self: right;
  }
  .main__section__4__item--2 {
    justify-self: left;
  }
  .main__section__4__item--3 {
    justify-self: right;
  }
  .main__section__4__item--4 {
    justify-self: left;
  }
}
